System.Design 2.0.0.0 System.Object

The class is used by developers of custom data source designers.

Provides a base class for designers for data views based on hierarchical data. This class must be inherited.

- Constructor
  2.0.0.0
  To be added.

  Initiates a new instance of the class.

  The that is the designer for the associated control.
  A unique path to the block of data to use for the view.
- Property
  2.0.0.0
  System.Web.UI.Design.IHierarchicalDataSourceDesigner To be added. To be added.

  Gets the associated designer.

- Method
  2.0.0.0
  System.Web.UI.IHierarchicalEnumerable `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.String To be added.

  The specific nature of the property is determined by the nature of the data. For XML data, it would be an XPath query, but for other kinds of data it could be a URL or some other unique identifying path.

  Gets the path to the block of data that is presented in the view.

- Property
  2.0.0.0
  System.Web.UI.Design.IDataSourceSchema To be added.

  The property allows the control designer of a data-bound control to provide intelligent choices based on the design-time data source view that is selected for data binding.

  Gets a schema that describes the data source view for the associated control.